import * as ansi from '@bevry/ansi';
import { inspect as utilInspect } from 'util';
export function inspect(a) {
    if (typeof a === 'string')
        return a;
    else if (a instanceof Set)
        return Array.from(a).map((i) => inspect(i));
    else
        return utilInspect(a, { colors: true, depth: 5 });
}
export function special(...m) {
    return ansi.bold(ansi.underline(ansi.magenta(m.join(' '))));
}
export function warn(...m) {
    return ansi.bold(ansi.underline(ansi.yellow(m.join(' '))));
}
export function error(...m) {
    return ansi.bold(ansi.underline(ansi.red(m.join(' '))));
}
export function success(...m) {
    return ansi.bold(ansi.underline(ansi.green(m.join(' '))));
}
